Error on Updating Ubuntu 16.04

Asked by Luis M.Jacinto on 2016-09-09

While updating Ubuntu 16.04 it stop with error
Failed to download repository information

Check your Internet connection.
W:An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://packages.arcad.de/FREE-Linux trusty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY CC8FBD01CBCCC2F5, W:The repository 'http://ppa.launchpad.net/i-nex-development-team/stable/ubuntu xenial Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., W:Failed to fetch http://packages.arcad.de/FREE-Linux/dists/trusty/Release.gpg The following signatures couldn't be verified because the public key is not available: NO_PUBKEY CC8FBD01CBCCC2F5, E:Failed to fetch http://ppa.launchpad.net/i-nex-development-team/stable/ubuntu/dists/xenial/main/binary-i386/Packages 404 Not Found, W:Some index files failed to download. They have been ignored, or old ones used instead.

Please help to be able to update

Thank you

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Luis M.Jacinto
Solved:
2016-09-12
Last query:
2016-09-12
Last reply:
2016-09-10
Manfred Hampl (m-hampl) said : #1

For the error with arcad.de issue the following command:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys CC8FBD01CBCCC2F5

And to help with the error about i-nex-development-team please provide the output of the following commands:

uname -a
lsb_release -crid
grep i-nex-development-team /etc/apt/sources.list /etc/apt/sources.list.d/*.list

Luis M.Jacinto (ljacinto) said : #2

Posting both Terminal results

luis@luis-Ubuntu-16:~$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys CC8FBD01CBCCC2F5
[sudo] password for luis:
Executing: /tmp/tmp.cRABfclfXd/gpg.1.sh --keyserver
keyserver.ubuntu.com
--recv-keys
CC8FBD01CBCCC2F5
gpg: requesting key CBCCC2F5 from hkp server keyserver.ubuntu.com
gpgkeys: key CC8FBD01CBCCC2F5 not found on keyserver
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0
gpg: keyserver communications error: key not found
gpg: keyserver communications error: bad public key
gpg: keyserver receive failed: bad public key
luis@luis-Ubuntu-16:~$

luis@luis-Ubuntu-16:~$ uname -a
Linux luis-Ubuntu-16 4.4.0-36-generic #55-Ubuntu SMP Thu Aug 11 18:00:59 UTC 2016 i686 i686 i686 GNU/Linux
luis@luis-Ubuntu-16:~$ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial
luis@luis-Ubuntu-16:~$ grep i-nex-development-team /etc/apt/sources.list /etc/apt/sources.list.d/*.list
/etc/apt/sources.list.d/i-nex-development-team-ubuntu-stable-xenial.list:deb http://ppa.launchpad.net/i-nex-development-team/stable/ubuntu xenial main
/etc/apt/sources.list.d/i-nex-development-team-ubuntu-stable-xenial.list:# deb-src http://ppa.launchpad.net/i-nex-development-team/stable/ubuntu xenial main
luis@luis-Ubuntu-16:~$

Manfred Hampl (m-hampl) said : #3

For the warning message with i-nex-development I suggest that you delete the config file:
sudo rm /etc/apt/sources.list.d/i-nex-development-team-ubuntu-stable-xenial.list

The easy solution for arcad.de did not work. You have to contact arcad.de and ask how to get and import their public pgp key.

By the way, despite these messages the Ubuntu packages will be updated.

Luis M.Jacinto (ljacinto) said : #4

I decide the application was not what I want, decide to uninstall it.
Thank you for you help.